<?php
/**
 * UsersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Customer authorisation
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CustomerAuthClient;

use \Ensi\CustomerAuthClient\Configuration;
use \Ensi\CustomerAuthClient\ApiException;
use \Ensi\CustomerAuthClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * UsersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class UsersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createUser
     *
     * Creating an object of type User.
     *
     */
    public function testCreateUser()
    {
    }

    /**
     * Test case for deleteUser
     *
     * Deleting an object of type User.
     *
     */
    public function testDeleteUser()
    {
    }

    /**
     * Test case for getCurrentUser
     *
     * Get the current user.
     *
     */
    public function testGetCurrentUser()
    {
    }

    /**
     * Test case for getUser
     *
     * Getting an object of type User.
     *
     */
    public function testGetUser()
    {
    }

    /**
     * Test case for passwordReset
     *
     * Password reset (sending code).
     *
     */
    public function testPasswordReset()
    {
    }

    /**
     * Test case for passwordResetSecond
     *
     * Password reset (Second).
     *
     */
    public function testPasswordResetSecond()
    {
    }

    /**
     * Test case for patchUser
     *
     * Updating a part of fields of the User object type.
     *
     */
    public function testPatchUser()
    {
    }

    /**
     * Test case for refreshPasswordToken
     *
     * Updating the token to set the password.
     *
     */
    public function testRefreshPasswordToken()
    {
    }

    /**
     * Test case for register
     *
     * Register a new user.
     *
     */
    public function testRegister()
    {
    }

    /**
     * Test case for searchUser
     *
     * Search for an object of type User.
     *
     */
    public function testSearchUser()
    {
    }

    /**
     * Test case for searchUsers
     *
     * Search for objects of type User.
     *
     */
    public function testSearchUsers()
    {
    }
}
